org.eclipse.wst.jsdt.chromium.debug.js.util

## Class LaunchConfigurationUtil

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.js.util.LaunchConfigurationUtil

    public final class LaunchConfigurationUtil
    extends java.lang.Object

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `getChromiumArguments(ILaunchConfiguration configuration)`
`static java.util.Map<java.lang.String,java.lang.String>` `getDefaultAttributes()`
`static java.lang.String[]` `getEnvironment(ILaunchConfiguration configuration)`
`static org.eclipse.wst.jsdt.core.runtime.IJSRunner` `getJSRunner(ILaunchConfiguration configuration, java.lang.String mode)`
`static java.lang.String` `getProgramArguments(ILaunchConfiguration configuration)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getDefaultAttributes

    public static java.util.Map<java.lang.String,java.lang.String> getDefaultAttributes()

#### getJSRunner

    public static org.eclipse.wst.jsdt.core.runtime.IJSRunner getJSRunner(ILaunchConfiguration configuration,
                                                                          java.lang.String mode)
                                                                   throws CoreException

Throws:
  `CoreException`

#### getEnvironment

    public static java.lang.String[] getEnvironment(ILaunchConfiguration configuration)
                                             throws CoreException

Throws:
  `CoreException`

#### getProgramArguments

    public static java.lang.String getProgramArguments(ILaunchConfiguration configuration)
                                                throws CoreException

Throws:
  `CoreException`

#### getChromiumArguments

    public static java.lang.String getChromiumArguments(ILaunchConfiguration configuration)
                                                 throws CoreException

Throws:
  `CoreException`